Public Member Functions | Public Attributes | List of all members
libfreehand::FHFilterAttributeHolder Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHFilterAttributeHolder ()

## Public Attributes
unsigned | m_parentId
unsigned | m_filterId
unsigned | m_graphicStyleId

## Constructor & Destructor Documentation

## ◆ FHFilterAttributeHolder()

libfreehand::FHFilterAttributeHolder::FHFilterAttributeHolder | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_filterId

unsigned libfreehand::FHFilterAttributeHolder::m_filterId

Referenced by libfreehand::FHCollector::_appendFillProperties(), libfreehand::FHCollector::_appendStrokeProperties(), and libfreehand::FHParser::readFilterAttributeHolder().

## ◆ m_graphicStyleId

unsigned libfreehand::FHFilterAttributeHolder::m_graphicStyleId

Referenced by libfreehand::FHCollector::_appendFillProperties(), libfreehand::FHCollector::_appendStrokeProperties(), and libfreehand::FHParser::readFilterAttributeHolder().

## ◆ m_parentId

unsigned libfreehand::FHFilterAttributeHolder::m_parentId

Referenced by libfreehand::FHParser::readFilterAttributeHolder().

The documentation for this struct was generated from the following file:

- FHTypes.h